Open Interest by Trading Participant (/derivatives/open_interest_by_participant)
Derivatives open interest by trading participant can be obtained.
Overview
This data provides the weekly open interest for each derivative product (futures and options) by participants.
This data is the same as the following site but has a longer history. https://www.jpx.co.jp/english/markets/derivatives/open-interest/index.html
Attention
Parameter and Response
Derivatives open interest by trading participant can be obtained.
GET https://api.jquants-pro.com/v2/derivatives/open_interest_by_participant
Query Parameters
date
String
date
(e.g. 2022-01-05 or 20220105)
pagination_key
String
The primary key of the first item that this operation will evaluate. Use the value that was returned for pagination_key in the previous operation.
Headers
Authorization*
String
access key
Data Item
The meaning of the codes that appear in the response is described in the code list.
DerivativeProductCategory
SellBuyDivision
ParticipantCode
UnderlyingIndex
PutCallDivision
Date
Created Date
String
YYYY-MM-DD
Code
Issue Code(9-character)
String
DerivativeProductCategory
Derivative Product Category
String
UnderlyingIndex
Underlying Index
String
PutCallDivision
Put Call Division
String
ContractMonth
Contract Month
String
YYYY-MM
UnderlyingCode
Underlying Code
String
The value is entered when the derivative product category is “EQOP”.
StrikePrice
Strike Price
String
The value is entered when the derivative product category is “NK225E” or "EQOP".
OpenInterest
Open Interest
String
The value is entered when the derivative product category is “EQOP”.
Ranking
Ranking
String
SellBuyDivision
Sell Buy Division
String
ParticipantCode
Participant Code
String
SecuritiesCompanyNameJapanese
Securities Company Name Japanese
String
SecuritiesCompanyNameEnglish
Securities Company Name English
String
OpenInterestByTrading
Open Interest By Trading
String
Sample Code
Last updated